curl https://zeplo.ai/api/v1/webhooks \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
REST API v1 (External)
GET/POST Webhooks (v1)
Manage webhooks with interactive testing.
GET
/
api
/
v1
/
webhooks
curl https://zeplo.ai/api/v1/webhooks \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
List webhooks
GET /api/v1/webhooks
Manage webhook configurations.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
curl https://zeplo.ai/api/v1/webhooks \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
Create webhook
POST /api/v1/webhooks
Body parameters
string
required
Webhook URL to receive events.
string[]
required
Array of event types to subscribe to (e.g.
message.received, message.delivered, message.read).{
"url": "https://your-app.com/webhook",
"events": ["message.received", "message.delivered", "message.read"]
}
curl -X POST https://zeplo.ai/api/v1/webhooks \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhook",
"events": ["message.received", "message.delivered", "message.read"]
}'
Update webhook
PUT /api/v1/webhooks/:id
integer
required
Webhook ID.
Body parameters
string
Updated webhook URL.
string[]
Updated array of event types.
{
"url": "https://your-app.com/webhook-v2",
"events": ["message.received"]
}
curl -X PUT https://zeplo.ai/api/v1/webhooks/1 \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhook-v2",
"events": ["message.received"]
}'
Delete webhook
DELETE /api/v1/webhooks/:id
integer
required
Webhook ID.
curl -X DELETE https://zeplo.ai/api/v1/webhooks/1 \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
